<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <base data-ice="baseUrl" href="../../../">
  <title data-ice="title">lib/serializer/temp.js | deexjs Docs</title>
  <link type="text/css" rel="stylesheet" href="css/style.css">
  <link type="text/css" rel="stylesheet" href="css/prettify-tomorrow.css">
  <script src="script/prettify/prettify.js"></script>
  <script src="script/manual.js"></script>
<meta name="description" content="Pure JavaScript Bitshares library for node.js and browsers."><meta property="twitter:card" content="summary"><meta property="twitter:title" content="deexjs Docs"><meta property="twitter:description" content="Pure JavaScript Bitshares library for node.js and browsers."></head>
<body class="layout-container" data-ice="rootContainer">

<header>
  <a href="./">Home</a>
  
  <a href="identifiers.html">Reference</a>
  <a href="source.html">Source</a>
  
  <div class="search-box">
  <span>
    <img src="./image/search.png">
    <span class="search-input-edge"></span><input class="search-input"><span class="search-input-edge"></span>
  </span>
    <ul class="search-result"></ul>
  </div>
<a style="position:relative; top:3px;" href="https://github.com/bitshares/deexjs"><img width="20px" src="./image/github.png"></a></header>

<nav class="navigation" data-ice="nav"><div>
  <ul>
    
  <li data-ice="doc"><a data-ice="dirPath" class="nav-dir-path" href="identifiers.html#chain-src">chain/src</a><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/lib/chain/src/AccountLogin.js~AccountLogin.html">AccountLogin</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/lib/chain/src/ChainStore.js~ChainStore.html">ChainStore</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/lib/chain/src/ObjectId.js~ObjectId.html">ObjectId</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/lib/chain/src/TransactionBuilder.js~TransactionBuilder.html">TransactionBuilder</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-function">F</span><span data-ice="name"><span><a href="function/index.html#static-function-emitter">emitter</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-function">F</span><span data-ice="name"><span><a href="function/index.html#static-function-get">get</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-function">F</span><span data-ice="name"><span><a href="function/index.html#static-function-set">set</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-accountLogin">accountLogin</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-chain_store">chain_store</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-ChainTypes">ChainTypes</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-chainValidation">chainValidation</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-NumberUtils">NumberUtils</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-helper">helper</a></span></span></li>
<li data-ice="doc"><a data-ice="dirPath" class="nav-dir-path" href="identifiers.html#ecc-src">ecc/src</a><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/lib/ecc/src/PrivateKey.js~PrivateKey.html">PrivateKey</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/lib/ecc/src/PublicKey.js~PublicKey.html">PublicKey</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/lib/ecc/src/address.js~Address.html">Address</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/lib/ecc/src/aes.js~Aes.html">Aes</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/lib/ecc/src/signature.js~Signature.html">Signature</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-function">F</span><span data-ice="name"><span><a href="function/index.html#static-function-normalize">normalize</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-function">F</span><span data-ice="name"><span><a href="function/index.html#static-function-calcPubKeyRecoveryParam">calcPubKeyRecoveryParam</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-function">F</span><span data-ice="name"><span><a href="function/index.html#static-function-deterministicGenerateK">deterministicGenerateK</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-function">F</span><span data-ice="name"><span><a href="function/index.html#static-function-recoverPubKey">recoverPubKey</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-function">F</span><span data-ice="name"><span><a href="function/index.html#static-function-sign">sign</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-function">F</span><span data-ice="name"><span><a href="function/index.html#static-function-verify">verify</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-function">F</span><span data-ice="name"><span><a href="function/index.html#static-function-verifyRaw">verifyRaw</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-function">F</span><span data-ice="name"><span><a href="function/index.html#static-function-ECSignature">ECSignature</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-function">F</span><span data-ice="name"><span><a href="function/index.html#static-function-enforce">enforce</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-function">F</span><span data-ice="name"><span><a href="function/index.html#static-function-HmacSHA256">HmacSHA256</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-function">F</span><span data-ice="name"><span><a href="function/index.html#static-function-ripemd160">ripemd160</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-function">F</span><span data-ice="name"><span><a href="function/index.html#static-function-sha256">sha256</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-function">F</span><span data-ice="name"><span><a href="function/index.html#static-function-sha512">sha512</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-key">key</a></span></span></li>
<li data-ice="doc"><a data-ice="dirPath" class="nav-dir-path" href="identifiers.html#serializer-src">serializer/src</a><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/lib/serializer/src/FastParser.js~FastParser.html">FastParser</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/lib/serializer/src/error_with_cause.js~ErrorWithCause.html">ErrorWithCause</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/lib/serializer/src/serializer.js~Serializer.html">Serializer</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-function">F</span><span data-ice="name"><span><a href="function/index.html#static-function-convert">convert</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-function">F</span><span data-ice="name"><span><a href="function/index.html#static-function-template">template</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-_my">_my</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-account_create">account_create</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-account_create_operation_fee_parameters">account_create_operation_fee_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-account_name_eq_lit_predicate">account_name_eq_lit_predicate</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-account_options">account_options</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-account_transfer">account_transfer</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-account_transfer_operation_fee_parameters">account_transfer_operation_fee_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-account_update">account_update</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-account_update_operation_fee_parameters">account_update_operation_fee_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-account_upgrade">account_upgrade</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-account_upgrade_operation_fee_parameters">account_upgrade_operation_fee_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-account_whitelist">account_whitelist</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-account_whitelist_operation_fee_parameters">account_whitelist_operation_fee_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-assert">assert</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-assert_operation_fee_parameters">assert_operation_fee_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-asset">asset</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-asset_claim_fees">asset_claim_fees</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-asset_claim_fees_operation_fee_parameters">asset_claim_fees_operation_fee_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-asset_claim_pool">asset_claim_pool</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-asset_claim_pool_operation_fee_parameters">asset_claim_pool_operation_fee_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-asset_create">asset_create</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-asset_create_operation_fee_parameters">asset_create_operation_fee_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-asset_fund_fee_pool">asset_fund_fee_pool</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-asset_fund_fee_pool_operation_fee_parameters">asset_fund_fee_pool_operation_fee_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-asset_global_settle">asset_global_settle</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-asset_global_settle_operation_fee_parameters">asset_global_settle_operation_fee_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-asset_issue">asset_issue</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-asset_issue_operation_fee_parameters">asset_issue_operation_fee_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-asset_options">asset_options</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-asset_publish_feed">asset_publish_feed</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-asset_publish_feed_operation_fee_parameters">asset_publish_feed_operation_fee_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-asset_reserve">asset_reserve</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-asset_reserve_operation_fee_parameters">asset_reserve_operation_fee_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-asset_settle">asset_settle</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-asset_settle_cancel">asset_settle_cancel</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-asset_settle_cancel_operation_fee_parameters">asset_settle_cancel_operation_fee_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-asset_settle_operation_fee_parameters">asset_settle_operation_fee_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-asset_symbol_eq_lit_predicate">asset_symbol_eq_lit_predicate</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-asset_update">asset_update</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-asset_update_bitasset">asset_update_bitasset</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-asset_update_bitasset_operation_fee_parameters">asset_update_bitasset_operation_fee_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-asset_update_feed_producers">asset_update_feed_producers</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-asset_update_feed_producers_operation_fee_parameters">asset_update_feed_producers_operation_fee_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-asset_update_issuer">asset_update_issuer</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-asset_update_issuer_operation_fee_parameters">asset_update_issuer_operation_fee_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-asset_update_operation_fee_parameters">asset_update_operation_fee_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-authority">authority</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-balance_claim">balance_claim</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-balance_claim_operation_fee_parameters">balance_claim_operation_fee_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-bid_collateral">bid_collateral</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-bid_collateral_operation_fee_parameters">bid_collateral_operation_fee_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-bitasset_options">bitasset_options</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-blind_input">blind_input</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-blind_output">blind_output</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-blind_transfer">blind_transfer</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-blind_transfer_operation_fee_parameters">blind_transfer_operation_fee_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-block_header">block_header</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-block_id_predicate">block_id_predicate</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-burn_worker_initializer">burn_worker_initializer</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-call_order_update">call_order_update</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-call_order_update_operation_fee_parameters">call_order_update_operation_fee_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-cdd_vesting_policy_initializer">cdd_vesting_policy_initializer</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-chain_parameters">chain_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-committee_member_create">committee_member_create</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-committee_member_create_operation_fee_parameters">committee_member_create_operation_fee_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-committee_member_update">committee_member_update</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-committee_member_update_global_parameters">committee_member_update_global_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-committee_member_update_global_parameters_operation_fee_parameters">committee_member_update_global_parameters_operation_fee_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-committee_member_update_operation_fee_parameters">committee_member_update_operation_fee_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-custom">custom</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-custom_operation_fee_parameters">custom_operation_fee_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-execute_bid">execute_bid</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-execute_bid_operation_fee_parameters">execute_bid_operation_fee_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-fba_distribute">fba_distribute</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-fba_distribute_operation_fee_parameters">fba_distribute_operation_fee_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-fee_schedule">fee_schedule</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-fill_order">fill_order</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-fill_order_operation_fee_parameters">fill_order_operation_fee_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-limit_order_cancel">limit_order_cancel</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-limit_order_cancel_operation_fee_parameters">limit_order_cancel_operation_fee_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-limit_order_create">limit_order_create</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-limit_order_create_operation_fee_parameters">limit_order_create_operation_fee_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-linear_vesting_policy_initializer">linear_vesting_policy_initializer</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-memo_data">memo_data</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-op_wrapper">op_wrapper</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-operation">operation</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-override_transfer">override_transfer</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-override_transfer_operation_fee_parameters">override_transfer_operation_fee_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-price">price</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-price_feed">price_feed</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-processed_transaction">processed_transaction</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-proposal_create">proposal_create</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-proposal_create_operation_fee_parameters">proposal_create_operation_fee_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-proposal_delete">proposal_delete</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-proposal_delete_operation_fee_parameters">proposal_delete_operation_fee_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-proposal_update">proposal_update</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-proposal_update_operation_fee_parameters">proposal_update_operation_fee_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-refund_worker_initializer">refund_worker_initializer</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-signed_block">signed_block</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-signed_block_header">signed_block_header</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-signed_transaction">signed_transaction</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-stealth_confirmation">stealth_confirmation</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-stealth_memo_data">stealth_memo_data</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-transaction">transaction</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-transfer">transfer</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-transfer_from_blind">transfer_from_blind</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-transfer_from_blind_operation_fee_parameters">transfer_from_blind_operation_fee_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-transfer_operation_fee_parameters">transfer_operation_fee_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-transfer_to_blind">transfer_to_blind</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-transfer_to_blind_operation_fee_parameters">transfer_to_blind_operation_fee_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-vesting_balance_create">vesting_balance_create</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-vesting_balance_create_operation_fee_parameters">vesting_balance_create_operation_fee_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-vesting_balance_withdraw">vesting_balance_withdraw</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-vesting_balance_withdraw_operation_fee_parameters">vesting_balance_withdraw_operation_fee_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-vesting_balance_worker_initializer">vesting_balance_worker_initializer</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-void_result">void_result</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-withdraw_permission_claim">withdraw_permission_claim</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-withdraw_permission_claim_operation_fee_parameters">withdraw_permission_claim_operation_fee_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-withdraw_permission_create">withdraw_permission_create</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-withdraw_permission_create_operation_fee_parameters">withdraw_permission_create_operation_fee_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-withdraw_permission_delete">withdraw_permission_delete</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-withdraw_permission_delete_operation_fee_parameters">withdraw_permission_delete_operation_fee_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-withdraw_permission_update">withdraw_permission_update</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-withdraw_permission_update_operation_fee_parameters">withdraw_permission_update_operation_fee_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-witness_create">witness_create</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-witness_create_operation_fee_parameters">witness_create_operation_fee_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-witness_update">witness_update</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-witness_update_operation_fee_parameters">witness_update_operation_fee_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-worker_create">worker_create</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-worker_create_operation_fee_parameters">worker_create_operation_fee_parameters</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-Types">Types</a></span></span></li>
</ul>
</div>
</nav>

<div class="content" data-ice="content"><h1 data-ice="title">lib/serializer/temp.js</h1>
<pre class="source-code line-number raw-source-code"><code class="prettyprint linenums" data-ice="content">(function() {
    var account_create,
        account_create_operation_fee_parameters,
        account_name_eq_lit_predicate,
        account_options,
        account_transfer,
        account_transfer_operation_fee_parameters,
        account_update,
        account_update_operation_fee_parameters,
        account_upgrade,
        account_upgrade_operation_fee_parameters,
        account_whitelist,
        account_whitelist_operation_fee_parameters,
        assert,
        assert_operation_fee_parameters,
        asset,
        asset_claim_fees,
        asset_claim_fees_operation_fee_parameters,
        asset_claim_pool,
        asset_claim_pool_operation_fee_parameters,
        asset_create,
        asset_create_operation_fee_parameters,
        asset_fund_fee_pool,
        asset_fund_fee_pool_operation_fee_parameters,
        asset_global_settle,
        asset_global_settle_operation_fee_parameters,
        asset_issue,
        asset_issue_operation_fee_parameters,
        asset_options,
        asset_publish_feed,
        asset_publish_feed_operation_fee_parameters,
        asset_reserve,
        asset_reserve_operation_fee_parameters,
        asset_settle,
        asset_settle_cancel,
        asset_settle_cancel_operation_fee_parameters,
        asset_settle_operation_fee_parameters,
        asset_symbol_eq_lit_predicate,
        asset_update,
        asset_update_bitasset,
        asset_update_bitasset_operation_fee_parameters,
        asset_update_feed_producers,
        asset_update_feed_producers_operation_fee_parameters,
        asset_update_issuer,
        asset_update_issuer_operation_fee_parameters,
        asset_update_operation_fee_parameters,
        authority,
        balance_claim,
        balance_claim_operation_fee_parameters,
        bid_collateral,
        bid_collateral_operation_fee_parameters,
        bitasset_options,
        blind_input,
        blind_output,
        blind_transfer,
        blind_transfer_operation_fee_parameters,
        block_header,
        block_id_predicate,
        burn_worker_initializer,
        call_order_update,
        call_order_update_operation_fee_parameters,
        cdd_vesting_policy_initializer,
        chain_parameters,
        committee_member_create,
        committee_member_create_operation_fee_parameters,
        committee_member_update,
        committee_member_update_global_parameters,
        committee_member_update_global_parameters_operation_fee_parameters,
        committee_member_update_operation_fee_parameters,
        custom,
        custom_operation_fee_parameters,
        execute_bid,
        execute_bid_operation_fee_parameters,
        fba_distribute,
        fba_distribute_operation_fee_parameters,
        fee_parameters,
        fee_schedule,
        fill_order,
        fill_order_operation_fee_parameters,
        limit_order_cancel,
        limit_order_cancel_operation_fee_parameters,
        limit_order_create,
        limit_order_create_operation_fee_parameters,
        linear_vesting_policy_initializer,
        memo_data,
        op_wrapper,
        operation,
        operation_result,
        override_transfer,
        override_transfer_operation_fee_parameters,
        predicate,
        price,
        price_feed,
        processed_transaction,
        proposal_create,
        proposal_create_operation_fee_parameters,
        proposal_delete,
        proposal_delete_operation_fee_parameters,
        proposal_update,
        proposal_update_operation_fee_parameters,
        public_key,
        refund_worker_initializer,
        signed_block,
        signed_block_header,
        signed_transaction,
        stealth_confirmation,
        transaction,
        transfer,
        transfer_from_blind,
        transfer_from_blind_operation_fee_parameters,
        transfer_operation_fee_parameters,
        transfer_to_blind,
        transfer_to_blind_operation_fee_parameters,
        vesting_balance_create,
        vesting_balance_create_operation_fee_parameters,
        vesting_balance_withdraw,
        vesting_balance_withdraw_operation_fee_parameters,
        vesting_balance_worker_initializer,
        vesting_policy_initializer,
        void_result,
        withdraw_permission_claim,
        withdraw_permission_claim_operation_fee_parameters,
        withdraw_permission_create,
        withdraw_permission_create_operation_fee_parameters,
        withdraw_permission_delete,
        withdraw_permission_delete_operation_fee_parameters,
        withdraw_permission_update,
        withdraw_permission_update_operation_fee_parameters,
        witness_create,
        witness_create_operation_fee_parameters,
        witness_update,
        witness_update_operation_fee_parameters,
        worker_create,
        worker_create_operation_fee_parameters,
        worker_initializer;

    transfer_operation_fee_parameters = new Serializer(
        &quot;transfer_operation_fee_parameters&quot;,
        {
            fee: uint64,
            price_per_kbyte: uint32
        }
    );

    limit_order_create_operation_fee_parameters = new Serializer(
        &quot;limit_order_create_operation_fee_parameters&quot;,
        {
            fee: uint64
        }
    );

    limit_order_cancel_operation_fee_parameters = new Serializer(
        &quot;limit_order_cancel_operation_fee_parameters&quot;,
        {
            fee: uint64
        }
    );

    call_order_update_operation_fee_parameters = new Serializer(
        &quot;call_order_update_operation_fee_parameters&quot;,
        {
            fee: uint64
        }
    );

    fill_order_operation_fee_parameters = new Serializer(
        &quot;fill_order_operation_fee_parameters&quot;
    );

    account_create_operation_fee_parameters = new Serializer(
        &quot;account_create_operation_fee_parameters&quot;,
        {
            basic_fee: uint64,
            premium_fee: uint64,
            price_per_kbyte: uint32
        }
    );

    account_update_operation_fee_parameters = new Serializer(
        &quot;account_update_operation_fee_parameters&quot;,
        {
            fee: int64,
            price_per_kbyte: uint32
        }
    );

    account_whitelist_operation_fee_parameters = new Serializer(
        &quot;account_whitelist_operation_fee_parameters&quot;,
        {
            fee: int64
        }
    );

    account_upgrade_operation_fee_parameters = new Serializer(
        &quot;account_upgrade_operation_fee_parameters&quot;,
        {
            membership_annual_fee: uint64,
            membership_lifetime_fee: uint64
        }
    );

    account_transfer_operation_fee_parameters = new Serializer(
        &quot;account_transfer_operation_fee_parameters&quot;,
        {
            fee: uint64
        }
    );

    asset_create_operation_fee_parameters = new Serializer(
        &quot;asset_create_operation_fee_parameters&quot;,
        {
            symbol3: uint64,
            symbol4: uint64,
            long_symbol: uint64,
            price_per_kbyte: uint32
        }
    );

    asset_update_operation_fee_parameters = new Serializer(
        &quot;asset_update_operation_fee_parameters&quot;,
        {
            fee: uint64,
            price_per_kbyte: uint32
        }
    );

    asset_update_bitasset_operation_fee_parameters = new Serializer(
        &quot;asset_update_bitasset_operation_fee_parameters&quot;,
        {
            fee: uint64
        }
    );

    asset_update_feed_producers_operation_fee_parameters = new Serializer(
        &quot;asset_update_feed_producers_operation_fee_parameters&quot;,
        {
            fee: uint64
        }
    );

    asset_issue_operation_fee_parameters = new Serializer(
        &quot;asset_issue_operation_fee_parameters&quot;,
        {
            fee: uint64,
            price_per_kbyte: uint32
        }
    );

    asset_reserve_operation_fee_parameters = new Serializer(
        &quot;asset_reserve_operation_fee_parameters&quot;,
        {
            fee: uint64
        }
    );

    asset_fund_fee_pool_operation_fee_parameters = new Serializer(
        &quot;asset_fund_fee_pool_operation_fee_parameters&quot;,
        {
            fee: uint64
        }
    );

    asset_settle_operation_fee_parameters = new Serializer(
        &quot;asset_settle_operation_fee_parameters&quot;,
        {
            fee: uint64
        }
    );

    asset_global_settle_operation_fee_parameters = new Serializer(
        &quot;asset_global_settle_operation_fee_parameters&quot;,
        {
            fee: uint64
        }
    );

    asset_publish_feed_operation_fee_parameters = new Serializer(
        &quot;asset_publish_feed_operation_fee_parameters&quot;,
        {
            fee: uint64
        }
    );

    witness_create_operation_fee_parameters = new Serializer(
        &quot;witness_create_operation_fee_parameters&quot;,
        {
            fee: uint64
        }
    );

    witness_update_operation_fee_parameters = new Serializer(
        &quot;witness_update_operation_fee_parameters&quot;,
        {
            fee: int64
        }
    );

    proposal_create_operation_fee_parameters = new Serializer(
        &quot;proposal_create_operation_fee_parameters&quot;,
        {
            fee: uint64,
            price_per_kbyte: uint32
        }
    );

    proposal_update_operation_fee_parameters = new Serializer(
        &quot;proposal_update_operation_fee_parameters&quot;,
        {
            fee: uint64,
            price_per_kbyte: uint32
        }
    );

    proposal_delete_operation_fee_parameters = new Serializer(
        &quot;proposal_delete_operation_fee_parameters&quot;,
        {
            fee: uint64
        }
    );

    withdraw_permission_create_operation_fee_parameters = new Serializer(
        &quot;withdraw_permission_create_operation_fee_parameters&quot;,
        {
            fee: uint64
        }
    );

    withdraw_permission_update_operation_fee_parameters = new Serializer(
        &quot;withdraw_permission_update_operation_fee_parameters&quot;,
        {
            fee: uint64
        }
    );

    withdraw_permission_claim_operation_fee_parameters = new Serializer(
        &quot;withdraw_permission_claim_operation_fee_parameters&quot;,
        {
            fee: uint64,
            price_per_kbyte: uint32
        }
    );

    withdraw_permission_delete_operation_fee_parameters = new Serializer(
        &quot;withdraw_permission_delete_operation_fee_parameters&quot;,
        {
            fee: uint64
        }
    );

    committee_member_create_operation_fee_parameters = new Serializer(
        &quot;committee_member_create_operation_fee_parameters&quot;,
        {
            fee: uint64
        }
    );

    committee_member_update_operation_fee_parameters = new Serializer(
        &quot;committee_member_update_operation_fee_parameters&quot;,
        {
            fee: uint64
        }
    );

    committee_member_update_global_parameters_operation_fee_parameters = new Serializer(
        &quot;committee_member_update_global_parameters_operation_fee_parameters&quot;,
        {
            fee: uint64
        }
    );

    vesting_balance_create_operation_fee_parameters = new Serializer(
        &quot;vesting_balance_create_operation_fee_parameters&quot;,
        {
            fee: uint64
        }
    );

    vesting_balance_withdraw_operation_fee_parameters = new Serializer(
        &quot;vesting_balance_withdraw_operation_fee_parameters&quot;,
        {
            fee: uint64
        }
    );

    worker_create_operation_fee_parameters = new Serializer(
        &quot;worker_create_operation_fee_parameters&quot;,
        {
            fee: uint64
        }
    );

    custom_operation_fee_parameters = new Serializer(
        &quot;custom_operation_fee_parameters&quot;,
        {
            fee: uint64,
            price_per_kbyte: uint32
        }
    );

    assert_operation_fee_parameters = new Serializer(
        &quot;assert_operation_fee_parameters&quot;,
        {
            fee: uint64
        }
    );

    balance_claim_operation_fee_parameters = new Serializer(
        &quot;balance_claim_operation_fee_parameters&quot;
    );

    override_transfer_operation_fee_parameters = new Serializer(
        &quot;override_transfer_operation_fee_parameters&quot;,
        {
            fee: uint64,
            price_per_kbyte: uint32
        }
    );

    transfer_to_blind_operation_fee_parameters = new Serializer(
        &quot;transfer_to_blind_operation_fee_parameters&quot;,
        {
            fee: uint64,
            price_per_output: uint32
        }
    );

    blind_transfer_operation_fee_parameters = new Serializer(
        &quot;blind_transfer_operation_fee_parameters&quot;,
        {
            fee: uint64,
            price_per_output: uint32
        }
    );

    transfer_from_blind_operation_fee_parameters = new Serializer(
        &quot;transfer_from_blind_operation_fee_parameters&quot;,
        {
            fee: uint64
        }
    );

    asset_settle_cancel_operation_fee_parameters = new Serializer(
        &quot;asset_settle_cancel_operation_fee_parameters&quot;
    );

    asset_claim_fees_operation_fee_parameters = new Serializer(
        &quot;asset_claim_fees_operation_fee_parameters&quot;,
        {
            fee: uint64
        }
    );

    fba_distribute_operation_fee_parameters = new Serializer(
        &quot;fba_distribute_operation_fee_parameters&quot;
    );

    bid_collateral_operation_fee_parameters = new Serializer(
        &quot;bid_collateral_operation_fee_parameters&quot;,
        {
            fee: uint64
        }
    );

    execute_bid_operation_fee_parameters = new Serializer(
        &quot;execute_bid_operation_fee_parameters&quot;
    );

    asset_claim_pool_operation_fee_parameters = new Serializer(
        &quot;asset_claim_pool_operation_fee_parameters&quot;,
        {
            fee: uint64
        }
    );

    asset_update_issuer_operation_fee_parameters = new Serializer(
        &quot;asset_update_issuer_operation_fee_parameters&quot;,
        {
            fee: uint64
        }
    );

    fee_parameters = static_variant([
        transfer_operation_fee_parameters,
        limit_order_create_operation_fee_parameters,
        limit_order_cancel_operation_fee_parameters,
        call_order_update_operation_fee_parameters,
        fill_order_operation_fee_parameters,
        account_create_operation_fee_parameters,
        account_update_operation_fee_parameters,
        account_whitelist_operation_fee_parameters,
        account_upgrade_operation_fee_parameters,
        account_transfer_operation_fee_parameters,
        asset_create_operation_fee_parameters,
        asset_update_operation_fee_parameters,
        asset_update_bitasset_operation_fee_parameters,
        asset_update_feed_producers_operation_fee_parameters,
        asset_issue_operation_fee_parameters,
        asset_reserve_operation_fee_parameters,
        asset_fund_fee_pool_operation_fee_parameters,
        asset_settle_operation_fee_parameters,
        asset_global_settle_operation_fee_parameters,
        asset_publish_feed_operation_fee_parameters,
        witness_create_operation_fee_parameters,
        witness_update_operation_fee_parameters,
        proposal_create_operation_fee_parameters,
        proposal_update_operation_fee_parameters,
        proposal_delete_operation_fee_parameters,
        withdraw_permission_create_operation_fee_parameters,
        withdraw_permission_update_operation_fee_parameters,
        withdraw_permission_claim_operation_fee_parameters,
        withdraw_permission_delete_operation_fee_parameters,
        committee_member_create_operation_fee_parameters,
        committee_member_update_operation_fee_parameters,
        committee_member_update_global_parameters_operation_fee_parameters,
        vesting_balance_create_operation_fee_parameters,
        vesting_balance_withdraw_operation_fee_parameters,
        worker_create_operation_fee_parameters,
        custom_operation_fee_parameters,
        assert_operation_fee_parameters,
        balance_claim_operation_fee_parameters,
        override_transfer_operation_fee_parameters,
        transfer_to_blind_operation_fee_parameters,
        blind_transfer_operation_fee_parameters,
        transfer_from_blind_operation_fee_parameters,
        asset_settle_cancel_operation_fee_parameters,
        asset_claim_fees_operation_fee_parameters,
        fba_distribute_operation_fee_parameters,
        bid_collateral_operation_fee_parameters,
        execute_bid_operation_fee_parameters,
        asset_claim_pool_operation_fee_parameters,
        asset_update_issuer_operation_fee_parameters
    ]);

    fee_schedule = new Serializer(&quot;fee_schedule&quot;, {
        parameters: set(fee_parameters),
        scale: uint32
    });

    void_result = new Serializer(&quot;void_result&quot;);

    asset = new Serializer(&quot;asset&quot;, {
        amount: int64,
        asset_id: protocol_id_type(&quot;asset&quot;)
    });

    operation_result = static_variant([void_result, object_id_type, asset]);

    processed_transaction = new Serializer(&quot;processed_transaction&quot;, {
        ref_block_num: uint16,
        ref_block_prefix: uint32,
        expiration: time_point_sec,
        operations: array(operation),
        extensions: set(future_extensions),
        signatures: array(bytes(65)),
        operation_results: array(operation_result)
    });

    signed_block = new Serializer(&quot;signed_block&quot;, {
        previous: bytes(20),
        timestamp: time_point_sec,
        witness: protocol_id_type(&quot;witness&quot;),
        transaction_merkle_root: bytes(20),
        extensions: set(future_extensions),
        witness_signature: bytes(65),
        transactions: array(processed_transaction)
    });

    block_header = new Serializer(&quot;block_header&quot;, {
        previous: bytes(20),
        timestamp: time_point_sec,
        witness: protocol_id_type(&quot;witness&quot;),
        transaction_merkle_root: bytes(20),
        extensions: set(future_extensions)
    });

    signed_block_header = new Serializer(&quot;signed_block_header&quot;, {
        previous: bytes(20),
        timestamp: time_point_sec,
        witness: protocol_id_type(&quot;witness&quot;),
        transaction_merkle_root: bytes(20),
        extensions: set(future_extensions),
        witness_signature: bytes(65)
    });

    public_key = new Serializer(&quot;public_key&quot;, {
        key_data: bytes(33)
    });

    memo_data = new Serializer(&quot;memo_data&quot;, {
        from: public_key,
        to: public_key,
        nonce: uint64,
        message: bytes()
    });

    transfer = new Serializer(&quot;transfer&quot;, {
        fee: asset,
        from: protocol_id_type(&quot;account&quot;),
        to: protocol_id_type(&quot;account&quot;),
        amount: asset,
        memo: optional(memo_data),
        extensions: set(future_extensions)
    });

    limit_order_create = new Serializer(&quot;limit_order_create&quot;, {
        fee: asset,
        seller: protocol_id_type(&quot;account&quot;),
        amount_to_sell: asset,
        min_to_receive: asset,
        expiration: time_point_sec,
        fill_or_kill: bool,
        extensions: set(future_extensions)
    });

    limit_order_cancel = new Serializer(&quot;limit_order_cancel&quot;, {
        fee: asset,
        fee_paying_account: protocol_id_type(&quot;account&quot;),
        order: protocol_id_type(&quot;limit_order&quot;),
        extensions: set(future_extensions)
    });

    call_order_update = new Serializer(&quot;call_order_update&quot;, {
        fee: asset,
        funding_account: protocol_id_type(&quot;account&quot;),
        delta_collateral: asset,
        delta_debt: asset,
        extensions: call_order_update_operation_extensions
    });

    price = new Serializer(&quot;price&quot;, {
        base: asset,
        quote: asset
    });

    fill_order = new Serializer(&quot;fill_order&quot;, {
        fee: asset,
        order_id: object_id_type,
        account_id: protocol_id_type(&quot;account&quot;),
        pays: asset,
        receives: asset,
        fill_price: price,
        is_maker: bool
    });

    authority = new Serializer(&quot;authority&quot;, {
        weight_threshold: uint32,
        account_auths: map(protocol_id_type(&quot;account&quot;), uint16),
        key_auths: map(public_key, uint16),
        address_auths: map(address, uint16)
    });

    account_options = new Serializer(&quot;account_options&quot;, {
        memo_key: public_key,
        voting_account: protocol_id_type(&quot;account&quot;),
        num_witness: uint16,
        num_committee: uint16,
        votes: set(vote_id),
        extensions: set(future_extensions)
    });

    account_create = new Serializer(&quot;account_create&quot;, {
        fee: asset,
        registrar: protocol_id_type(&quot;account&quot;),
        referrer: protocol_id_type(&quot;account&quot;),
        referrer_percent: uint16,
        name: string,
        owner: authority,
        active: authority,
        options: account_options,
        extensions: set(future_extensions)
    });

    account_update = new Serializer(&quot;account_update&quot;, {
        fee: asset,
        account: protocol_id_type(&quot;account&quot;),
        owner: optional(authority),
        active: optional(authority),
        new_options: optional(account_options),
        extensions: set(future_extensions)
    });

    account_whitelist = new Serializer(&quot;account_whitelist&quot;, {
        fee: asset,
        authorizing_account: protocol_id_type(&quot;account&quot;),
        account_to_list: protocol_id_type(&quot;account&quot;),
        new_listing: uint8,
        extensions: set(future_extensions)
    });

    account_upgrade = new Serializer(&quot;account_upgrade&quot;, {
        fee: asset,
        account_to_upgrade: protocol_id_type(&quot;account&quot;),
        upgrade_to_lifetime_member: bool,
        extensions: set(future_extensions)
    });

    account_transfer = new Serializer(&quot;account_transfer&quot;, {
        fee: asset,
        account_id: protocol_id_type(&quot;account&quot;),
        new_owner: protocol_id_type(&quot;account&quot;),
        extensions: set(future_extensions)
    });

    asset_options = new Serializer(&quot;asset_options&quot;, {
        max_supply: int64,
        market_fee_percent: uint16,
        max_market_fee: int64,
        issuer_permissions: uint16,
        flags: uint16,
        core_exchange_rate: price,
        whitelist_authorities: set(protocol_id_type(&quot;account&quot;)),
        blacklist_authorities: set(protocol_id_type(&quot;account&quot;)),
        whitelist_markets: set(protocol_id_type(&quot;asset&quot;)),
        blacklist_markets: set(protocol_id_type(&quot;asset&quot;)),
        description: string,
        extensions: set(future_extensions)
    });

    bitasset_options = new Serializer(&quot;bitasset_options&quot;, {
        feed_lifetime_sec: uint32,
        minimum_feeds: uint8,
        force_settlement_delay_sec: uint32,
        force_settlement_offset_percent: uint16,
        maximum_force_settlement_volume: uint16,
        short_backing_asset: protocol_id_type(&quot;asset&quot;),
        extensions: set(future_extensions)
    });

    asset_create = new Serializer(&quot;asset_create&quot;, {
        fee: asset,
        issuer: protocol_id_type(&quot;account&quot;),
        symbol: string,
        precision: uint8,
        common_options: asset_options,
        bitasset_opts: optional(bitasset_options),
        is_prediction_market: bool,
        extensions: set(future_extensions)
    });

    asset_update = new Serializer(&quot;asset_update&quot;, {
        fee: asset,
        issuer: protocol_id_type(&quot;account&quot;),
        asset_to_update: protocol_id_type(&quot;asset&quot;),
        new_issuer: optional(protocol_id_type(&quot;account&quot;)),
        new_options: asset_options,
        extensions: set(future_extensions)
    });

    asset_update_bitasset = new Serializer(&quot;asset_update_bitasset&quot;, {
        fee: asset,
        issuer: protocol_id_type(&quot;account&quot;),
        asset_to_update: protocol_id_type(&quot;asset&quot;),
        new_options: bitasset_options,
        extensions: set(future_extensions)
    });

    asset_update_feed_producers = new Serializer(
        &quot;asset_update_feed_producers&quot;,
        {
            fee: asset,
            issuer: protocol_id_type(&quot;account&quot;),
            asset_to_update: protocol_id_type(&quot;asset&quot;),
            new_feed_producers: set(protocol_id_type(&quot;account&quot;)),
            extensions: set(future_extensions)
        }
    );

    asset_issue = new Serializer(&quot;asset_issue&quot;, {
        fee: asset,
        issuer: protocol_id_type(&quot;account&quot;),
        asset_to_issue: asset,
        issue_to_account: protocol_id_type(&quot;account&quot;),
        memo: optional(memo_data),
        extensions: set(future_extensions)
    });

    asset_reserve = new Serializer(&quot;asset_reserve&quot;, {
        fee: asset,
        payer: protocol_id_type(&quot;account&quot;),
        amount_to_reserve: asset,
        extensions: set(future_extensions)
    });

    asset_fund_fee_pool = new Serializer(&quot;asset_fund_fee_pool&quot;, {
        fee: asset,
        from_account: protocol_id_type(&quot;account&quot;),
        asset_id: protocol_id_type(&quot;asset&quot;),
        amount: int64,
        extensions: set(future_extensions)
    });

    asset_settle = new Serializer(&quot;asset_settle&quot;, {
        fee: asset,
        account: protocol_id_type(&quot;account&quot;),
        amount: asset,
        extensions: set(future_extensions)
    });

    asset_global_settle = new Serializer(&quot;asset_global_settle&quot;, {
        fee: asset,
        issuer: protocol_id_type(&quot;account&quot;),
        asset_to_settle: protocol_id_type(&quot;asset&quot;),
        settle_price: price,
        extensions: set(future_extensions)
    });

    price_feed = new Serializer(&quot;price_feed&quot;, {
        settlement_price: price,
        maintenance_collateral_ratio: uint16,
        maximum_short_squeeze_ratio: uint16,
        core_exchange_rate: price
    });

    asset_publish_feed = new Serializer(&quot;asset_publish_feed&quot;, {
        fee: asset,
        publisher: protocol_id_type(&quot;account&quot;),
        asset_id: protocol_id_type(&quot;asset&quot;),
        feed: price_feed,
        extensions: set(future_extensions)
    });

    witness_create = new Serializer(&quot;witness_create&quot;, {
        fee: asset,
        witness_account: protocol_id_type(&quot;account&quot;),
        url: string,
        block_signing_key: public_key
    });

    witness_update = new Serializer(&quot;witness_update&quot;, {
        fee: asset,
        witness: protocol_id_type(&quot;witness&quot;),
        witness_account: protocol_id_type(&quot;account&quot;),
        new_url: optional(string),
        new_signing_key: optional(public_key)
    });

    op_wrapper = new Serializer(&quot;op_wrapper&quot;, {
        op: operation
    });

    proposal_create = new Serializer(&quot;proposal_create&quot;, {
        fee: asset,
        fee_paying_account: protocol_id_type(&quot;account&quot;),
        expiration_time: time_point_sec,
        proposed_ops: array(op_wrapper),
        review_period_seconds: optional(uint32),
        extensions: set(future_extensions)
    });

    proposal_update = new Serializer(&quot;proposal_update&quot;, {
        fee: asset,
        fee_paying_account: protocol_id_type(&quot;account&quot;),
        proposal: protocol_id_type(&quot;proposal&quot;),
        active_approvals_to_add: set(protocol_id_type(&quot;account&quot;)),
        active_approvals_to_remove: set(protocol_id_type(&quot;account&quot;)),
        owner_approvals_to_add: set(protocol_id_type(&quot;account&quot;)),
        owner_approvals_to_remove: set(protocol_id_type(&quot;account&quot;)),
        key_approvals_to_add: set(public_key),
        key_approvals_to_remove: set(public_key),
        extensions: set(future_extensions)
    });

    proposal_delete = new Serializer(&quot;proposal_delete&quot;, {
        fee: asset,
        fee_paying_account: protocol_id_type(&quot;account&quot;),
        using_owner_authority: bool,
        proposal: protocol_id_type(&quot;proposal&quot;),
        extensions: set(future_extensions)
    });

    withdraw_permission_create = new Serializer(&quot;withdraw_permission_create&quot;, {
        fee: asset,
        withdraw_from_account: protocol_id_type(&quot;account&quot;),
        authorized_account: protocol_id_type(&quot;account&quot;),
        withdrawal_limit: asset,
        withdrawal_period_sec: uint32,
        periods_until_expiration: uint32,
        period_start_time: time_point_sec
    });

    withdraw_permission_update = new Serializer(&quot;withdraw_permission_update&quot;, {
        fee: asset,
        withdraw_from_account: protocol_id_type(&quot;account&quot;),
        authorized_account: protocol_id_type(&quot;account&quot;),
        permission_to_update: protocol_id_type(&quot;withdraw_permission&quot;),
        withdrawal_limit: asset,
        withdrawal_period_sec: uint32,
        period_start_time: time_point_sec,
        periods_until_expiration: uint32
    });

    withdraw_permission_claim = new Serializer(&quot;withdraw_permission_claim&quot;, {
        fee: asset,
        withdraw_permission: protocol_id_type(&quot;withdraw_permission&quot;),
        withdraw_from_account: protocol_id_type(&quot;account&quot;),
        withdraw_to_account: protocol_id_type(&quot;account&quot;),
        amount_to_withdraw: asset,
        memo: optional(memo_data)
    });

    withdraw_permission_delete = new Serializer(&quot;withdraw_permission_delete&quot;, {
        fee: asset,
        withdraw_from_account: protocol_id_type(&quot;account&quot;),
        authorized_account: protocol_id_type(&quot;account&quot;),
        withdrawal_permission: protocol_id_type(&quot;withdraw_permission&quot;)
    });

    committee_member_create = new Serializer(&quot;committee_member_create&quot;, {
        fee: asset,
        committee_member_account: protocol_id_type(&quot;account&quot;),
        url: string
    });

    committee_member_update = new Serializer(&quot;committee_member_update&quot;, {
        fee: asset,
        committee_member: protocol_id_type(&quot;committee_member&quot;),
        committee_member_account: protocol_id_type(&quot;account&quot;),
        new_url: optional(string)
    });

    chain_parameters = new Serializer(&quot;chain_parameters&quot;, {
        current_fees: fee_schedule,
        block_interval: uint8,
        maintenance_interval: uint32,
        maintenance_skip_slots: uint8,
        committee_proposal_review_period: uint32,
        maximum_transaction_size: uint32,
        maximum_block_size: uint32,
        maximum_time_until_expiration: uint32,
        maximum_proposal_lifetime: uint32,
        maximum_asset_whitelist_authorities: uint8,
        maximum_asset_feed_publishers: uint8,
        maximum_witness_count: uint16,
        maximum_committee_count: uint16,
        maximum_authority_membership: uint16,
        reserve_percent_of_fee: uint16,
        network_percent_of_fee: uint16,
        lifetime_referrer_percent_of_fee: uint16,
        cashback_vesting_period_seconds: uint32,
        cashback_vesting_threshold: int64,
        count_non_member_votes: bool,
        allow_non_member_whitelists: bool,
        witness_pay_per_block: int64,
        worker_budget_per_day: int64,
        max_predicate_opcode: uint16,
        fee_liquidation_threshold: int64,
        accounts_per_fee_scale: uint16,
        account_fee_scale_bitshifts: uint8,
        max_authority_depth: uint8,
        extensions: set(future_extensions)
    });

    committee_member_update_global_parameters = new Serializer(
        &quot;committee_member_update_global_parameters&quot;,
        {
            fee: asset,
            new_parameters: chain_parameters
        }
    );

    linear_vesting_policy_initializer = new Serializer(
        &quot;linear_vesting_policy_initializer&quot;,
        {
            begin_timestamp: time_point_sec,
            vesting_cliff_seconds: uint32,
            vesting_duration_seconds: uint32
        }
    );

    cdd_vesting_policy_initializer = new Serializer(
        &quot;cdd_vesting_policy_initializer&quot;,
        {
            start_claim: time_point_sec,
            vesting_seconds: uint32
        }
    );

    vesting_policy_initializer = static_variant([
        linear_vesting_policy_initializer,
        cdd_vesting_policy_initializer
    ]);

    vesting_balance_create = new Serializer(&quot;vesting_balance_create&quot;, {
        fee: asset,
        creator: protocol_id_type(&quot;account&quot;),
        owner: protocol_id_type(&quot;account&quot;),
        amount: asset,
        policy: vesting_policy_initializer
    });

    vesting_balance_withdraw = new Serializer(&quot;vesting_balance_withdraw&quot;, {
        fee: asset,
        vesting_balance: protocol_id_type(&quot;vesting_balance&quot;),
        owner: protocol_id_type(&quot;account&quot;),
        amount: asset
    });

    refund_worker_initializer = new Serializer(&quot;refund_worker_initializer&quot;);

    vesting_balance_worker_initializer = new Serializer(
        &quot;vesting_balance_worker_initializer&quot;,
        {
            pay_vesting_period_days: uint16
        }
    );

    burn_worker_initializer = new Serializer(&quot;burn_worker_initializer&quot;);

    worker_initializer = static_variant([
        refund_worker_initializer,
        vesting_balance_worker_initializer,
        burn_worker_initializer
    ]);

    worker_create = new Serializer(&quot;worker_create&quot;, {
        fee: asset,
        owner: protocol_id_type(&quot;account&quot;),
        work_begin_date: time_point_sec,
        work_end_date: time_point_sec,
        daily_pay: int64,
        name: string,
        url: string,
        initializer: worker_initializer
    });

    custom = new Serializer(&quot;custom&quot;, {
        fee: asset,
        payer: protocol_id_type(&quot;account&quot;),
        required_auths: set(protocol_id_type(&quot;account&quot;)),
        id: uint16,
        data: bytes()
    });

    account_name_eq_lit_predicate = new Serializer(
        &quot;account_name_eq_lit_predicate&quot;,
        {
            account_id: protocol_id_type(&quot;account&quot;),
            name: string
        }
    );

    asset_symbol_eq_lit_predicate = new Serializer(
        &quot;asset_symbol_eq_lit_predicate&quot;,
        {
            asset_id: protocol_id_type(&quot;asset&quot;),
            symbol: string
        }
    );

    block_id_predicate = new Serializer(&quot;block_id_predicate&quot;, {
        id: bytes(20)
    });

    predicate = static_variant([
        account_name_eq_lit_predicate,
        asset_symbol_eq_lit_predicate,
        block_id_predicate
    ]);

    assert = new Serializer(&quot;assert&quot;, {
        fee: asset,
        fee_paying_account: protocol_id_type(&quot;account&quot;),
        predicates: array(predicate),
        required_auths: set(protocol_id_type(&quot;account&quot;)),
        extensions: set(future_extensions)
    });

    balance_claim = new Serializer(&quot;balance_claim&quot;, {
        fee: asset,
        deposit_to_account: protocol_id_type(&quot;account&quot;),
        balance_to_claim: protocol_id_type(&quot;balance&quot;),
        balance_owner_key: public_key,
        total_claimed: asset
    });

    override_transfer = new Serializer(&quot;override_transfer&quot;, {
        fee: asset,
        issuer: protocol_id_type(&quot;account&quot;),
        from: protocol_id_type(&quot;account&quot;),
        to: protocol_id_type(&quot;account&quot;),
        amount: asset,
        memo: optional(memo_data),
        extensions: set(future_extensions)
    });

    stealth_confirmation = new Serializer(&quot;stealth_confirmation&quot;, {
        one_time_key: public_key,
        to: optional(public_key),
        encrypted_memo: bytes()
    });

    blind_output = new Serializer(&quot;blind_output&quot;, {
        commitment: bytes(33),
        range_proof: bytes(),
        owner: authority,
        stealth_memo: optional(stealth_confirmation)
    });

    transfer_to_blind = new Serializer(&quot;transfer_to_blind&quot;, {
        fee: asset,
        amount: asset,
        from: protocol_id_type(&quot;account&quot;),
        blinding_factor: bytes(32),
        outputs: array(blind_output)
    });

    blind_input = new Serializer(&quot;blind_input&quot;, {
        commitment: bytes(33),
        owner: authority
    });

    blind_transfer = new Serializer(&quot;blind_transfer&quot;, {
        fee: asset,
        inputs: array(blind_input),
        outputs: array(blind_output)
    });

    transfer_from_blind = new Serializer(&quot;transfer_from_blind&quot;, {
        fee: asset,
        amount: asset,
        to: protocol_id_type(&quot;account&quot;),
        blinding_factor: bytes(32),
        inputs: array(blind_input)
    });

    asset_settle_cancel = new Serializer(&quot;asset_settle_cancel&quot;, {
        fee: asset,
        settlement: protocol_id_type(&quot;force_settlement&quot;),
        account: protocol_id_type(&quot;account&quot;),
        amount: asset,
        extensions: set(future_extensions)
    });

    asset_claim_fees = new Serializer(&quot;asset_claim_fees&quot;, {
        fee: asset,
        issuer: protocol_id_type(&quot;account&quot;),
        amount_to_claim: asset,
        extensions: set(future_extensions)
    });

    fba_distribute = new Serializer(&quot;fba_distribute&quot;, {
        fee: asset,
        account_id: protocol_id_type(&quot;account&quot;),
        fba_id: protocol_id_type(&quot;fba_accumulator&quot;),
        amount: int64
    });

    bid_collateral = new Serializer(&quot;bid_collateral&quot;, {
        fee: asset,
        bidder: protocol_id_type(&quot;account&quot;),
        additional_collateral: asset,
        debt_covered: asset,
        extensions: set(future_extensions)
    });

    execute_bid = new Serializer(&quot;execute_bid&quot;, {
        fee: asset,
        bidder: protocol_id_type(&quot;account&quot;),
        debt: asset,
        collateral: asset
    });

    asset_claim_pool = new Serializer(&quot;asset_claim_pool&quot;, {
        fee: asset,
        issuer: protocol_id_type(&quot;account&quot;),
        asset_id: protocol_id_type(&quot;asset&quot;),
        amount_to_claim: asset,
        extensions: set(future_extensions)
    });

    asset_update_issuer = new Serializer(&quot;asset_update_issuer&quot;, {
        fee: asset,
        issuer: protocol_id_type(&quot;account&quot;),
        asset_to_update: protocol_id_type(&quot;asset&quot;),
        new_issuer: protocol_id_type(&quot;account&quot;),
        extensions: set(future_extensions)
    });

    operation = static_variant([
        transfer,
        limit_order_create,
        limit_order_cancel,
        call_order_update,
        fill_order,
        account_create,
        account_update,
        account_whitelist,
        account_upgrade,
        account_transfer,
        asset_create,
        asset_update,
        asset_update_bitasset,
        asset_update_feed_producers,
        asset_issue,
        asset_reserve,
        asset_fund_fee_pool,
        asset_settle,
        asset_global_settle,
        asset_publish_feed,
        witness_create,
        witness_update,
        proposal_create,
        proposal_update,
        proposal_delete,
        withdraw_permission_create,
        withdraw_permission_update,
        withdraw_permission_claim,
        withdraw_permission_delete,
        committee_member_create,
        committee_member_update,
        committee_member_update_global_parameters,
        vesting_balance_create,
        vesting_balance_withdraw,
        worker_create,
        custom,
        assert,
        balance_claim,
        override_transfer,
        transfer_to_blind,
        blind_transfer,
        transfer_from_blind,
        asset_settle_cancel,
        asset_claim_fees,
        fba_distribute,
        bid_collateral,
        execute_bid,
        asset_claim_pool,
        asset_update_issuer
    ]);

    transaction = new Serializer(&quot;transaction&quot;, {
        ref_block_num: uint16,
        ref_block_prefix: uint32,
        expiration: time_point_sec,
        operations: array(operation),
        extensions: set(future_extensions)
    });

    signed_transaction = new Serializer(&quot;signed_transaction&quot;, {
        ref_block_num: uint16,
        ref_block_prefix: uint32,
        expiration: time_point_sec,
        operations: array(operation),
        extensions: set(future_extensions),
        signatures: array(bytes(65))
    });
}.call(this));
</code></pre>

</div>

<footer class="footer">
  Generated by <a href="https://esdoc.org">ESDoc<span data-ice="esdocVersion">(1.1.0)</span><img src="./image/esdoc-logo-mini-black.png"></a>
</footer>

<script src="script/search_index.js"></script>
<script src="script/search.js"></script>
<script src="script/pretty-print.js"></script>
<script src="script/inherited-summary.js"></script>
<script src="script/test-summary.js"></script>
<script src="script/inner-link.js"></script>
<script src="script/patch-for-local.js"></script>
</body>
</html>
